aboutsummaryrefslogtreecommitdiff
path: root/share/hydractl/backup-restore-bitcoind
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2012-07-08 13:30:50 -0300
committerSilvio Rhatto <rhatto@riseup.net>2012-07-08 13:30:50 -0300
commit5544fa8f188821500f764cc559111047d745c9e4 (patch)
tree281a19df9efd8987c3c5973a9d901ba09735c67b /share/hydractl/backup-restore-bitcoind
parentbb074824423eac7904974711fe8886c1d6361703 (diff)
downloadhydra-5544fa8f188821500f764cc559111047d745c9e4.tar.gz
hydra-5544fa8f188821500f764cc559111047d745c9e4.tar.bz2
Adding other backup restoration scripts
Diffstat (limited to 'share/hydractl/backup-restore-bitcoind')
-rwxr-xr-xshare/hydractl/backup-restore-bitcoind42
1 files changed, 42 insertions, 0 deletions
diff --git a/share/hydractl/backup-restore-bitcoind b/share/hydractl/backup-restore-bitcoind
new file mode 100755
index 0000000..359492d
--- /dev/null
+++ b/share/hydractl/backup-restore-bitcoind
@@ -0,0 +1,42 @@
+#!/bin/bash
+#
+# Bitcoin backup restoration.
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Affero General Public License as
+# published by the Free Software Foundation, either version 3 of the
+# License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU Affero General Public License for more details.
+#
+# You should have received a copy of the GNU Affero General Public
+# License along with this program. If not, see
+# <http://www.gnu.org/licenses/>.
+
+# Load.
+source $APP_BASE/lib/hydra/functions || exit 1
+hydra_config_load
+
+# TODO
+# Parameters.
+HOST="$1"
+SERVICE="bitcoind"
+SERVICE_DIR=""
+SERVICE_USER=""
+SERVICE_GROUP=""
+
+# Set restore environment.
+hydra_backup_environment_service
+
+# TODO
+# Backup it.
+#hydractl backup-site $SERVICE
+#
+# Copy site folder from backup.
+#cp -a $RESTOREDIR/$SERVICE_DIR $SERVICE_DIR
+#
+# Fix permissions.
+#chown -R $SERVICE_USER.$SERVICE_GROUP $SERVICE_DIR